import { FlowOptions, UseVueFlow } from '../types'
export declare class Storage {
  currentId: number
  flows: Map<string, UseVueFlow<any, any>>
  static instance: Storage
  static getInstance(): Storage
  set(id: string, flow: UseVueFlow): void
  get(id: string): UseVueFlow<any, any> | undefined
  remove(id: string): void
  create(id: string, preloadedState?: Partial<FlowOptions>): UseVueFlow
  getId(): string
}
declare const _default: <NodeData = any, EdgeData = any>(
  options?: Partial<FlowOptions<any, any>> | undefined,
) => UseVueFlow<NodeData, EdgeData>
export default _default
